Magick++: Magick::DrawableEllipse Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableEllipse Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableEllipse:
[legend]
Collaboration diagram for Magick::DrawableEllipse:
[legend]

## Public Member Functions
| DrawableEllipse (double originX_, double originY_, double radiusX_, double radiusY_, double arcStart_, double arcEnd_)
| ~DrawableEllipse (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | originX (double originX_)
double | originX (void) const
void | originY (double originY_)
double | originY (void) const
void | radiusX (double radiusX_)
double | radiusX (void) const
void | radiusY (double radiusY_)
double | radiusY (void) const
void | arcStart (double arcStart_)
double | arcStart (void) const
void | arcEnd (double arcEnd_)
double | arcEnd (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 768 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableEllipse::DrawableEllipse | ( | double | originX_,
|  | double | originY_,
|  | double | radiusX_,
|  | double | radiusY_,
|  | double | arcStart_,
|  | double | arcEnd_
| ) |  |
| inline

Definition at line 771 of file Drawable.h.

Magick::DrawableEllipse::~DrawableEllipse | ( | void |  | ) |

Definition at line 576 of file Drawable.cpp.

## Member Function Documentation

void Magick::DrawableEllipse::arcEnd | ( | double | arcEnd_ | ) |
| inline

Definition at line 835 of file Drawable.h.

double Magick::DrawableEllipse::arcEnd | ( | void |  | ) | const
| inline

Definition at line 839 of file Drawable.h.

void Magick::DrawableEllipse::arcStart | ( | double | arcStart_ | ) |
| inline

Definition at line 826 of file Drawable.h.

double Magick::DrawableEllipse::arcStart | ( | void |  | ) | const
| inline

Definition at line 830 of file Drawable.h.

Magick::DrawableBase * Magick::DrawableEllipse::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 585 of file Drawable.cpp.

void Magick::DrawableEllipse::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 580 of file Drawable.cpp.

void Magick::DrawableEllipse::originX | ( | double | originX_ | ) |
| inline

Definition at line 790 of file Drawable.h.

double Magick::DrawableEllipse::originX | ( | void |  | ) | const
| inline

Definition at line 794 of file Drawable.h.

void Magick::DrawableEllipse::originY | ( | double | originY_ | ) |
| inline

Definition at line 799 of file Drawable.h.

double Magick::DrawableEllipse::originY | ( | void |  | ) | const
| inline

Definition at line 803 of file Drawable.h.

void Magick::DrawableEllipse::radiusX | ( | double | radiusX_ | ) |
| inline

Definition at line 808 of file Drawable.h.

double Magick::DrawableEllipse::radiusX | ( | void |  | ) | const
| inline

Definition at line 812 of file Drawable.h.

void Magick::DrawableEllipse::radiusY | ( | double | radiusY_ | ) |
| inline

Definition at line 817 of file Drawable.h.

double Magick::DrawableEllipse::radiusY | ( | void |  | ) | const
| inline

Definition at line 821 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp